summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLouis Sautier <sautier.louis@gmail.com>2018-03-31 13:58:34 +0200
committerSven Wegener <swegener@gentoo.org>2018-04-09 21:06:32 +0000
commit905a0a9e8745d64f33f6a5114aed1c89cbefbab0 (patch)
tree617b92877a0e664efd1bd872036b162901764db2 /net-nntp
parentkde-misc/kdirstat: 3.1.3 version bump (diff)
downloadgentoo-905a0a9e8745d64f33f6a5114aed1c89cbefbab0.tar.gz
gentoo-905a0a9e8745d64f33f6a5114aed1c89cbefbab0.tar.bz2
gentoo-905a0a9e8745d64f33f6a5114aed1c89cbefbab0.zip
net-nntp/nzbget: bump to 20.0_pre2171, enable USE=parcheck by default
Package-Manager: Portage-2.3.24, Repoman-2.3.6 Closes: https://github.com/gentoo/gentoo/pull/7736
Diffstat (limited to 'net-nntp')
-rw-r--r--net-nntp/nzbget/Manifest1
-rw-r--r--net-nntp/nzbget/nzbget-20.0_pre2171.ebuild126
2 files changed, 127 insertions, 0 deletions
diff --git a/net-nntp/nzbget/Manifest b/net-nntp/nzbget/Manifest
index d222a517031..1b3e4f446e9 100644
--- a/net-nntp/nzbget/Manifest
+++ b/net-nntp/nzbget/Manifest
@@ -2,3 +2,4 @@ DIST nzbget-14.1.tar.gz 1332334 BLAKE2B cbb633993ffd4c7a9cf6556ef833838296bb4d64
DIST nzbget-19.1.tar.gz 1809849 BLAKE2B 30740c22e06f9b794485bb5c0c28cd95f9953863203a9055bf453a9adfe1e58adcf69dcddc3640c13aefb90bb26cd444070af2d9f0f6fadee676af453cdb23c2 SHA512 3ba7cd7f7fec28e29129be0a1ca5879a0593bc54be49e3776e84eeb7804377eec47106aa2371b31dec7d9152301d68b199ce9e66db714195defc8e15ef636532
DIST nzbget-20.0_pre2108.tar.gz 1820172 BLAKE2B 7a50305d5ccc55c3713984e83b4841e658842dc2e06184b6acab12cad904fd0e89c1c9b269b5be42f51c5ae9a212cad051cf0aefe0e4fb8782b1580c748dfab0 SHA512 4abdab3d45829eb5574d2cb6b532372ba0a9c62a701acdebe498b71466f7ac8c7b47aa85ed80c1132c10e86b829c48dd6df4826d20f542a7a935aaa958ba0222
DIST nzbget-20.0_pre2159.tar.gz 1840392 BLAKE2B 88362e6d6f76cbe0deb028c0b78ab11573359bac05ea5e7539ff46644562f804b20b518fa1ed59b6698905b104f47c3193d15175420945f74c3897fd13aefebb SHA512 31799b2164db748389b7a2895d8571543aaf2e4324017b1adcb4eb44ad2046a0b488fb29a2c77b1d4963b858f7ec614d78eb541090b0889bef634d6d0461a50c
+DIST nzbget-20.0_pre2171.tar.gz 1942642 BLAKE2B 7df73755fa6a6571bdce22830f3e18c9b7b41b1c4c75f139e390719e92b6afef065e18fab8222d5a08d88c6240e8a96448d7df1db025d97b7c2a4f17f1098f60 SHA512 3a2506148607e59dc73eafeeab6847868761c4a6c26504fe9a0b3043716f8fb542bb6b5f06696ec49d9d7a04df0b73005e12d71588a54b82d8dca19c04944dd5
diff --git a/net-nntp/nzbget/nzbget-20.0_pre2171.ebuild b/net-nntp/nzbget/nzbget-20.0_pre2171.ebuild
new file mode 100644
index 00000000000..604c8daa06d
--- /dev/null
+++ b/net-nntp/nzbget/nzbget-20.0_pre2171.ebuild
@@ -0,0 +1,126 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit autotools eutils flag-o-matic user
+
+MY_PV=${PV/_pre/-r}
+MY_P=${PN}-${PV/_pre/-testing-r}
+
+DESCRIPTION="A command-line based binary newsgrabber supporting .nzb files"
+HOMEPAGE="https://nzbget.net/"
+SRC_URI="https://github.com/${PN}/${PN}/releases/download/v${MY_PV}/${MY_P}-src.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc ~x86"
+IUSE="debug gnutls ncurses +parcheck ssl test zlib"
+
+RDEPEND="dev-libs/libxml2:=
+ ncurses? ( sys-libs/ncurses:0= )
+ ssl? (
+ gnutls? (
+ net-libs/gnutls:=
+ dev-libs/nettle:=
+ )
+ !gnutls? ( dev-libs/openssl:0=[-bindist] )
+ )
+ zlib? ( sys-libs/zlib:= )"
+DEPEND="${RDEPEND}
+ test? (
+ || (
+ =app-arch/rar-5*
+ =app-arch/unrar-5*
+ )
+ )
+ virtual/pkgconfig"
+DOCS=( ChangeLog README nzbget.conf )
+
+S=${WORKDIR}/${PN}-${PV/_pre*/-testing}
+
+check_compiler() {
+ if [[ ${MERGE_TYPE} != binary ]] && ! test-flag-CXX -std=c++14; then
+ eerror "${P} requires a C++14-capable compiler. Your current compiler"
+ eerror "does not seem to support the -std=c++14 option. Please"
+ eerror "upgrade to gcc-4.9 or an equivalent version supporting C++14."
+ die "The currently active compiler does not support -std=c++14"
+ fi
+}
+
+pkg_pretend() {
+ check_compiler
+}
+
+pkg_setup() {
+ check_compiler
+}
+
+src_prepare() {
+ default
+ eautoreconf
+
+ sed -i 's:^ScriptDir=.*:ScriptDir=/usr/share/nzbget/ppscripts:' nzbget.conf || die
+
+ sed \
+ -e 's:^MainDir=.*:MainDir=/var/lib/nzbget:' \
+ -e 's:^LogFile=.*:LogFile=/var/log/nzbget/nzbget.log:' \
+ -e 's:^WebDir=.*:WebDir=/usr/share/nzbget/webui:' \
+ -e 's:^ConfigTemplate=.*:ConfigTemplate=/usr/share/nzbget/nzbget.conf:' \
+ -e 's:^DaemonUsername=.*:DaemonUsername=nzbget:' \
+ nzbget.conf > nzbgetd.conf || die
+}
+
+src_configure() {
+ econf \
+ $(use_enable debug) \
+ $(use_enable ncurses curses) \
+ $(use_enable parcheck) \
+ $(use_enable ssl tls) \
+ $(use_enable zlib gzip) \
+ $(use_enable test tests) \
+ --with-tlslib=$(usex gnutls GnuTLS OpenSSL)
+}
+
+src_test() {
+ ./nzbget --tests || die "Tests failed"
+}
+
+src_install() {
+ default
+
+ insinto /etc
+ doins nzbget.conf
+ doins nzbgetd.conf
+
+ keepdir /var/lib/nzbget/{dst,nzb,queue,tmp}
+ keepdir /var/log/nzbget
+
+ newinitd "${FILESDIR}"/nzbget.initd-r1 nzbget
+ newconfd "${FILESDIR}"/nzbget.confd nzbget
+}
+
+pkg_preinst() {
+ enewgroup nzbget
+ enewuser nzbget -1 -1 /var/lib/nzbget nzbget
+
+ fowners nzbget:nzbget /var/lib/nzbget/{dst,nzb,queue,tmp}
+ fperms 750 /var/lib/nzbget/{queue,tmp}
+ fperms 770 /var/lib/nzbget/{dst,nzb}
+
+ fowners nzbget:nzbget /var/log/nzbget
+ fperms 750 /var/log/nzbget
+
+ fowners nzbget:nzbget /etc/nzbgetd.conf
+ fperms 640 /etc/nzbgetd.conf
+}
+
+pkg_postinst() {
+ if [[ -z ${REPLACING_VERSIONS} ]] ; then
+ elog
+ elog "Please add users that you want to be able to use the system-wide"
+ elog "nzbget daemon to the nzbget group. To access the daemon run nzbget"
+ elog "with the --configfile /etc/nzbgetd.conf option."
+ elog
+ fi
+}